<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<f:metadata>
    <f:viewParam name="idPrestation" value="#{mbPrestataire.idPrestation}"></f:viewParam>
    <f:viewParam name="libelle" value="#{mbPrestataire.libellePrestation}"></f:viewParam>
    <f:event listener="#{mbPrestataire.init()}" type="preRenderView"/>
</f:metadata>

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:jumbotron>
            <b:container>
                <b:row>
                    <b:column span="8">
                        <h1>
                            <small style="size: 10px">#{mbPrestataire.libellePrestation}</small>
                        </h1>
                    </b:column>

                    <b:column span="4">
                        <div align="right">
                            <h1>
                                <small><h:outputFormat rendered="#{mbPrestataire.getAllPrestataires().size()>1}"
                                                       value="#{mbPrestataire.getAllPrestataires().size()} résultats"/>
                                </small>
                                <small><h:outputFormat rendered="#{mbPrestataire.getAllPrestataires().size()==1}"
                                                       value="#{mbPrestataire.getAllPrestataires().size()} résultat"/>
                                </small>
                            </h1>
                        </div>
                    </b:column>

                </b:row>
            </b:container>
        </b:jumbotron>
        <h:form>
            <b:row>
                <b:column col-md="6">
                    <b:dateTimePicker value="#{mbPrestataire.dateDebut}"
                                      icon-position="left"
                                      format="DD/MM/YYYY HH"
                                      show-time="true"
                                      placeholder="Date/Heure début"
                                      tiny-screen="one-fourth" required="true"
                                      required-message="Obligatoire" col-sm="6"/>
                </b:column>
                <b:column col-md="4">
                    <b:inputText value="#{mbPrestataire.heures}"
                                 icon-position="left"
                                 placeholder="Durée (H)"
                                 tiny-screen="one-fourth" required="true"
                                 required-message="Obligatoire" col-sm="6"/>
                </b:column>
                <b:column col-md="2">
                    <b:commandButton action="#{mbPrestataire.prestatairesDispo()}"
                                     look="primary"
                                     value="Disponibilités"
                                     tabindex="0"
                                     data-toggle="popover" data-trigger="focus" title="Vous devez vous définir une période pour voir les prestataires disponibles">
                    </b:commandButton>
                </b:column>
            </b:row>
            <hr/>
            <br/>
            <b:dataTable value="#{mbPrestataire.getAllPrestataires()}" var="prestataire" select="false">
                <b:dataTableColumn width="30%" label="Prestataires">
                    <b:column col-md="6">
                        <img src="http://localhost:9190/WSPrestataires/images/#{prestataire.photo}" alt="photo"
                             height="120px"/>
                    </b:column>
                    <b:column col-md="6">
                        <h4>#{prestataire.nom}</h4>
                        <span>
                                    <h:outputText value="#{prestataire.tauxHoraire}" styleClass="prix">
                                        <f:convertNumber currencySymbol="€/Heure" type="currency"/>
                                    </h:outputText>
                                </span>
                        <!-- 
                        <p>
                            <b:commandLink href="/AppWeb/faces/article/prestataireDetail.xhtml?id=#{prestataire.id}"
                                           value="Détails" size="xs">
                            </b:commandLink>
                        </p>
                        -->
                    </b:column>
                </b:dataTableColumn>

                <b:dataTableColumn width="50%" label="Description">
                    <p>
                        <small style="text-align: justify">#{prestataire.description}</small>
                    </p>
                </b:dataTableColumn>

                <b:dataTableColumn label="Action" width="20%">
                    <b:row>
                        <b:commandButton action="#{mbPrestataire.addPrestation(prestataire.id)}"
                                         icon="shopping-cart" look="success" size="md"
                                         value="Ajouter"
                                         tabindex="0"
                                         data-toggle="popover" data-trigger="focus"
                                         title="Vous devez vous connecter pour ajouter des prestataires dans votre panier"
                                         span="7" offset="5">
                        </b:commandButton>
                    </b:row>
                </b:dataTableColumn>
            </b:dataTable>
        </h:form>
        <b:row>
            <h:form>
                <b:link value="Retour" href="javascript:history.go(-1)"
                        styleClass="btn btn-primary" size="sm"/>
            </h:form>
        </b:row>
    </ui:define>
</ui:composition>


</html>